package com.weaver.seconddev.interfaces.htjt.util;

import java.util.HashMap;
import java.util.Map;
import com.weaver.common.i18n.tool.util.I18nContextUtil;
import com.weaver.verupgrade.conn.CONN_TYPE;
import java.lang.*;

import org.slf4j.LoggerFactory;
import com.weaver.verupgrade.conn.RecordSet;
import com.weaver.verupgrade.general.Util;

public class TransUtil {

	private static final org.slf4j.Logger logger_24a1e280 = LoggerFactory.getLogger(TransUtil.class);

	/**
	 * 根据选择框显示值 获取现在框value
	 *
	 * @param tableName
	 * @param filedname
	 * @param selectname
	 * @return
	 */
//	public String getSelectValue(String tableName, String filedname, String selectname) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		String value = "";
//		if ("".equals(selectname)) {
//			return value;
//		}
//		String sql = "select c.selectvalue from form_field a, form b,workflow_selectitem c where a.form_id=b.id and c.fieldid=a.id  and b.tablename='" + tableName + "' and a.fieldname='" + filedname + "' and c.selectname='" + selectname + "'";
//		String poolname = CONN_TYPE.workflow.getType();
//        /* writeLog("sql:"+sql);
// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源*/
//		rs.executeSql(sql, poolname);
//		if (rs.next()) {
//			value = Util.null2String(rs.getString("selectvalue"));
//		}
//		return value;
//	}

	public String getSelectName(String tableName, String filedname, String selectvalue) {

		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
		String selectname = "";
		if ("".equals(selectvalue)) {
			return selectname;
		}
		String sql = " select e.table_name, e.form_id ,e.form_name ,c.title , c.data_key ,d.name ,d.value_key from e10_core_business.dbo.form_table e  " +
				" left join  e10_core_business.dbo.form_field c  on e.form_id = c.form_id  " +
				" left join e10_core_business.dbo.field_option d on c.id = d.field_id  " +
				" where e.table_name = '"+tableName+"'  and c.data_key = '"+filedname+"' and value_key = '"+selectvalue+"'";
		logger_24a1e280.error("TransUtil sql "+sql);
		String poolname_oj = CONN_TYPE.workflow.getType();
        /* writeLog("sql:"+sql);
 TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源*/
		rs.executeSql(sql, poolname_oj);
		if (rs.next()) {
			selectname = Util.null2String(rs.getString("name"));
		}
		logger_24a1e280.error("TransUtil selectname "+selectname);
		return selectname;
	}

	public Map<String,String> getDTtripMt(String workcode){
		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
		String poolname = "E10JTZH";
//		rs.setTenantKey(tenantKey);
		Map<String,String> map = new HashMap<>();
		if("".equals(workcode)){
			return map;
		}
		String sql = "select a.* from e10_common.dbo.uf_tcdjmt a,eteams.dbo.employee b,eteams.dbo.department c  where  b.DEPARTMENT =c.id and c.subcompanyid =a.gs and b.job_num ='"+workcode+"' and a.delete_type=0";
		rs.executeSql(sql, poolname);
		if(rs.next()){
			map.put("account",Util.null2String(rs.getString("zh")));
			map.put("password",Util.null2String(rs.getString("mm")));
			map.put("secret",Util.null2String(rs.getString("my")));
		}
		return map;
	}

	public Map<String,String> getResourceInfoByworkcode(String workcode ){
		Map<String,String> info = new HashMap<>();
		String tenantKey = "";
		if("".equals(workcode)){
			return  info;
		}
		String sql = " SELECT a.id AS ryid, a.username AS lastname, a.job_num AS workcode, a.department AS departmentid, b.subcompanyid AS subcompanyid1  " +
				"  , b.name AS departmentname, c.name AS subcompanyname ,a.position as jobtitle" +
				" FROM eteams.dbo.employee a, eteams.dbo.department b, eteams.dbo.department c  " +
				" WHERE a.department = b.id  " +
				"  AND c.id = b.subcompanyid   " +
				"  AND a.job_num = "+workcode+" " +
				"  AND a.delete_type = 0  " +
				"  AND a.tenant_key = '"+tenantKey+"'  " +
				"  AND b.type = 'department'  " +
				"  AND b.virtualid = 1  " +
				"  AND b.delete_type = 0  " +
				"  AND b.tenant_key = '"+tenantKey+"'  " +
				"  AND c.virtualid = 1  " +
				"  AND c.type = 'subcompany'  " +
				"  AND c.delete_type = 0  " +
				"  AND c.tenant_key = '"+tenantKey+"'  ";
		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
		String poolname = CONN_TYPE.hrm.getType();
		rs.setTenantKey(tenantKey);
		rs.executeSql(sql, poolname);
		if(rs.next()){
			info.put("ryid",Util.null2String(rs.getString("ryid")));
			info.put("lastname",Util.null2String(rs.getString("lastname")));
			info.put("workcode",Util.null2String(rs.getString("workcode")));
			info.put("departmentid",Util.null2String(rs.getString("departmentid")));
			info.put("subcompanyid1",Util.null2String(rs.getString("subcompanyid1")));
			info.put("departmentname",Util.null2String(rs.getString("departmentname")));
			info.put("subcompanyname",Util.null2String(rs.getString("subcompanyname")));
			info.put("jobtitle",Util.null2String(rs.getString("jobtitle")));
		}
		return info;
	}



	/**
	 * 根据标识获取流程id
	 *
	 * @param bs
	 * @return
	 */
//	public String getWfid(String bs) {
//		String wfid = "";
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		String sql = "select wfid from uf_K3_cf_mt where bs='" + bs + "'";
//		String poolname_n9 = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_n9);
//		if (rs.next()) {
//			wfid = Util.null2String(rs.getString("wfid"));
//		}
//		return wfid;
//	}

//	public String getTableName(String wfid) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		String tableName = "";
//		String poolname_ss = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql("select tablename from form as  workflow_bill where id=(select formid from wfp_base as  workflow_base where id=" + wfid + ")", poolname_ss);
//		if (rs.next()) {
//			tableName = Util.null2String(rs.getString("tablename"));
//		}
//		return tableName;
//	}

//	public String getResourceId(String workcode) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		if ("".equals(workcode)) {
//			return "";
//		}
//		String ryid = "";
//		String sql = "select id from employee as  hrmresource where workcode='" + workcode + "'";
//		String poolname_ts = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_ts);
//		if (rs.next()) {
//			ryid = Util.null2String(rs.getString("id"));
//		}
//		return ryid;
//	}

//	public String getMultResourceId(String workcodes) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		if ("".equals(workcodes)) {
//			return "";
//		}
//		String allworkcode = "'" + workcodes.replace(",", "','") + "'";
//		String ryid = "";
//		String ryids = "";
//		String flag = "";
//		String sql = "select id from employee as  hrmresource where workcode in (" + allworkcode + ")";
//		String poolname_3m = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_3m);
//		while (rs.next()) {
//			ryid = Util.null2String(rs.getString("id"));
//			ryids = ryids + flag + ryid;
//			flag = ",";
//		}
//		return ryids;
//	}

//	public String getMultResourceGUID(String ryids) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		if ("".equals(ryids)) {
//			return "";
//		}
//		String guids = "";
//		String flag = "";
//		String textfield1 = "";
//		String sql = "select textfield1 from employee as  hrmresource where id in (" + ryids + ")";
//		String poolname_pn = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_pn);
//		while (rs.next()) {
//			textfield1 = Util.null2String(rs.getString("textfield1"));
//			if (!"".equals(textfield1)) {
//				guids = guids + flag + textfield1;
//				flag = ",";
//			}
//		}
//		return guids;
//	}

//	public String getMultDepartmentId(String codes) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		if ("".equals(codes)) {
//			return "";
//		}
//		String allcodes = "'" + codes.replace(",", "','") + "'";
//		String dpid = "";
//		String dpids = "";
//		String flag = "";
//		String sql = "select id from department as  hrmdepartment where departmentcode in(" + allcodes + ")";
//		String poolname_u8 = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_u8);
//		while (rs.next()) {
//			dpid = Util.null2String(rs.getString("id"));
//			dpids = dpids + flag + dpid;
//			flag = ",";
//		}
//		return dpids;
//	}

//	public String getDepartmentId(String code) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		if ("".equals(code)) {
//			return "";
//		}
//		String dpid = "";
//		String sql = "select id from department as  hrmdepartment where departmentcode='" + code + "'";
//		String poolname_0g = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_0g);
//		if (rs.next()) {
//			dpid = Util.null2String(rs.getString("id"));
//		}
//		return dpid;
//	}

//	public String getDepartmentCode(String id) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		if ("".equals(id)) {
//			return "";
//		}
//		String departmentcode = "";
//		String sql = "select code from department as  hrmdepartment where id='" + id + "'";
//		String poolname_2h = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_2h);
//		if (rs.next()) {
//			departmentcode = Util.null2String(rs.getString("departmentcode"));
//		}
//		return departmentcode;
//	}

//	public String getMultDepartmentCode(String ids) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		if ("".equals(ids)) {
//			return "";
//		}
//		String departmentcode = "";
//		String departmentcodes = "";
//		String flag = "";
//		String sql = "select code from department as  hrmdepartment where id in(" + ids + ")";
//		String poolname_x9 = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_x9);
//		while (rs.next()) {
//			departmentcode = Util.null2String(rs.getString("departmentcode"));
//			departmentcodes = departmentcodes + flag + departmentcode;
//			flag = ",";
//		}
//		return departmentcodes;
//	}

//	public String getMultDepartmentName(String ids) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		if ("".equals(ids)) {
//			return "";
//		}
//		String departmentname = "";
//		String departmentnames = "";
//		String flag = "";
//		String sql = "select fullname from department as  hrmdepartment where id in(" + ids + ")";
//		String poolname_t6 = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_t6);
//		while (rs.next()) {
//			departmentname = Util.null2String(rs.getString("departmentname"));
//			departmentnames = departmentnames + flag + departmentname;
//			flag = ",";
//		}
//		return departmentnames;
//	}

//	public String getWorkcode(String ryid) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		if ("".equals(ryid)) {
//			return "";
//		}
//		String workcode = "";
//		String sql = "select job_num from employee as  hrmresource where id='" + ryid + "'";
//		String poolname_6e = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_6e);
//		if (rs.next()) {
//			workcode = Util.null2String(rs.getString("workcode"));
//		}
//		return workcode;
//	}

//	public String getMultWorkcode(String ryids) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		if ("".equals(ryids)) {
//			return "";
//		}
//		String workcodes = "";
//		String flag = "";
//		String workcode = "";
//		String sql = "select job_num from employee as  hrmresource where id in (" + ryids + ")";
//		String poolname_rv = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_rv);
//		while (rs.next()) {
//			workcode = Util.null2String(rs.getString("workcode"));
//			if (!"".equals(workcode)) {
//				workcodes = workcodes + flag + workcode;
//				flag = ",";
//			}
//		}
//		return workcodes;
//	}

//	public String getMultResourceName(String ryids) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		if ("".equals(ryids)) {
//			return "";
//		}
//		String name = "";
//		String flag = "";
//		String names = "";
//		String sql = "select username from employee as  hrmresource where id in (" + ryids + ")";
//		String poolname_xj = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_xj);
//		while (rs.next()) {
//			name = Util.null2String(rs.getString("lastname"));
//			if (!"".equals(name)) {
//				names = names + flag + name;
//				flag = ",";
//			}
//		}
//		return names;
//	}
//
//	public String getSubcompanyId(String code) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		if ("".equals(code)) {
//			return "";
//		}
//		String subid = "";
//		String sql = "select id from department as  hrmsubcompany where subcompanycode='" + code + "'";
//		String poolname_5d = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_5d);
//		if (rs.next()) {
//			subid = Util.null2String(rs.getString("id"));
//		}
//		return subid;
//	}
//
//	public String getMultSubcompanyId(String codes) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		if ("".equals(codes)) {
//			return "";
//		}
//		String allcodes = "'" + codes.replace(",", "','") + "'";
//		String subid = "";
//		String subids = "";
//		String flag = "";
//		String sql = "select id from department as  hrmsubcompany where subcompanycode in(" + allcodes + ")";
//		String poolname_is = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_is);
//		while (rs.next()) {
//			subid = Util.null2String(rs.getString("id"));
//			subids = subids + flag + subid;
//			flag = ",";
//		}
//		return subids;
//	}
//
//	public String getSubcompanyCode(String id) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		if ("".equals(id)) {
//			return "";
//		}
//		String subcompanycode = "";
//		String sql = "select code from department as  hrmsubcompany where id='" + id + "'";
//		String poolname_47 = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_47);
//		if (rs.next()) {
//			subcompanycode = Util.null2String(rs.getString("subcompanycode"));
//		}
//		return subcompanycode;
//	}

//	public String getMultSubcompanyCode(String ids) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		if ("".equals(ids)) {
//			return "";
//		}
//		String subcompanycode = "";
//		String subcompanycodes = "";
//		String flag = "";
//		String sql = "select code from department as  hrmsubcompany where id in(" + ids + ")";
//		String poolname_zc = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_zc);
//		while (rs.next()) {
//			subcompanycode = Util.null2String(rs.getString("subcompanycode"));
//			subcompanycodes = subcompanycodes + flag + subcompanycode;
//			flag = ",";
//		}
//		return subcompanycodes;
//	}
//
//	public String getMultSubcompanyName(String ids) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		if ("".equals(ids)) {
//			return "";
//		}
//		String subcompanyname = "";
//		String subcompanynames = "";
//		String flag = "";
//		String sql = "select name from department as  hrmsubcompany where id in(" + ids + ")";
//		String poolname_eh = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_eh);
//		while (rs.next()) {
//			subcompanyname = Util.null2String(rs.getString("subcompanyname"));
//			subcompanynames = subcompanynames + flag + subcompanyname;
//			flag = ",";
//		}
//		return subcompanynames;
//	}

//	public void writeLog(Object obj) {
//		if (true) {
//			logger_24a1e280.error(String.valueOf(obj));
//		}
//	}
//
//	public void writeLog(String className, Object obj) {
//		if (true) {
//			logger_24a1e280.error(String.valueOf(obj));
//		}
//	}

//	public String getModeId(String tableName) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		String formid = "";
//		String modeid = "";
//		String sql = "select id from form as  workflow_bill where tablename='" + tableName + "'";
//		String poolname_tt = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_tt);
//		if (rs.next()) {
//			formid = Util.null2String(rs.getString("id"));
//		}
//		sql = "select id from ebdf_obj as  modeinfo where  formid=" + formid;
//		String poolname_v5 = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_v5);
//		if (rs.next()) {
//			modeid = Util.null2String(rs.getString("id"));
//		}
//		return modeid;
//	}

//	public String getFormId(String tableName) {
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		String formid = "";
//		String sql = "select id from form as  workflow_bill where tablename='" + tableName + "'";
//		String poolname_n2 = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_n2);
//		if (rs.next()) {
//			formid = Util.null2String(rs.getString("id"));
//		}
//		return formid;
//	}

//	public Map<String, String> getResourceInfo(String ryid) {
//		Map<String, String> info = new HashMap<>();
//		if ("".equals(ryid)) {
//			return info;
//		}
//		RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//		String sql = "select a.id as ryid,a.username,a.job_num ,a.department ,a.subcompanyid ," + "b.fullname ,c.subcompanyname  from employee a,department b,HrmSubCompany c " + "where a.department =b.id and a.subcompanyid =c.id and a.id=" + ryid;
//		String poolname_ln = CONN_TYPE.workflow.getType();
//		// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//		rs.executeSql(sql, poolname_ln);
//		if (rs.next()) {
//			info.put("ryid", Util.null2String(rs.getString("ryid")));
//			info.put("lastname", Util.null2String(rs.getString("lastname")));
//			info.put("workcode", Util.null2String(rs.getString("workcode")));
//			info.put("departmentid", Util.null2String(rs.getString("departmentid")));
//			info.put("subcompanyid1", Util.null2String(rs.getString("subcompanyid1")));
//			info.put("departmentname", Util.null2String(rs.getString("departmentname")));
//			info.put("subcompanyname", Util.null2String(rs.getString("subcompanyname")));
//		}
//		return info;
//	}

	/**
	 * 获取角色人员ids
	 * @param roleid
	 * @return
	 */
//	public String getRoleMembers(String roleid) {
//		String ryids = "";
//		String flag = "";
//		if (!"".equals(roleid)) {
//			RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
//			String sql = "select user_id from auth_user_role hrm where roleid=" + roleid + " and resourcetype=1";
//			String poolname_53 = CONN_TYPE.workflow.getType();
//			// TODO E10执行sql方法第二参数必须指定源，默认使用流程源，单体客户无需修改，微服务/组合客户需根据查询表所属服务切换源，或使用外部数据源
//			rs.executeSql(sql, poolname_53);
//			while (rs.next()) {
//				String resourceid = Util.null2String(rs.getString("resourceid"));
//				if (!"".equals(resourceid)) {
//					ryids = ryids + flag + resourceid;
//					flag = ",";
//				}
//			}
//		}
//		return ryids;
//	}
}
